library TBX_Common;
//===================================================================================================================
//                              Custom Library By Chad Adams - contains frequently used code
//                              Last Modified: 10/2/2020
//===================================================================================================================

{$mode objfpc}{$H+}

uses
  Classes, SysUtils;

//===========================================
//Implementation
//===========================================

//File/Disk IO
//procedure DeleteRecursiveDirectory(var sDirectoryGiven: string);




 //===========================================
//Declarations
//===========================================

// File/Disk IO Routines




procedure DeleteRecursiveDirectory(var sDirectoryGiven: string);
begin
     rmdir(sDirectoryGiven);
end;




{
procedure PrintJobSummary(var sOption, sData, sFileName: string);
begin
  //endl;
  writeln('---------------[ JOB SUMMARY ] ---------------');
  if (sOption.ToUpper = 'BACKUP') then
  begin
    writeln('Job Desc: Backup Mystic BBS | All Files And Directories');
    writeln('Target Location   : ' + sData);
    writeln('FileName To Backup: ' + sFileName);
  end
  else if (sOption.toupper = 'RESTORE') then
  begin
    writeln('Job: Restore Mystic BBS Backup');
    writeln('Location To Restore To: ' + sData);
    writeln('FileName: ' + sFileName);
  end;

end;
}

exports
  DeleteRecursiveDirectory;

end.

